%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(.::t/bigratpm.inc\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigRat::Test\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

Summary:        Arbitrary big rational numbers
Name:           perl-Math-BigRat
Version:        0.2624
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-BigRat
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigRat-%{version}.tar.gz

BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Math::BigFloat) perl(:VERSION) >= 5.6.0
BuildRequires:  perl(Math::BigInt) >= 1.999824 perl(Math::Complex) >= 1.36
BuildRequires:  perl(overload) perl(Scalar::Util)
BuildRequires:  perl(Exporter) perl(lib) perl(Test::More) >= 0.88
Requires:       perl(Math::BigInt) >= 1.999824 perl(Math::Complex) >= 1.36

BuildArch:      noarch

%description
This module provides support for arbitrary big rational numbers, complementing 
Math::BigInt and Math::BigFloat.

%prep
%autosetup -n Math-BigRat-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%license LICENSE
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2624-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2624-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2624-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.2624-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2624-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2624-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Wang Guodong <gordonwwang@tencent.com> - 0.2624-1
- package init.
